Version 3.5.2
-------------

- Fixed false-positive QA warnings for Georgian.
- Improved formatting of empty translation nodes in XLIFF.
- Fixed several localization issues introduced with the switch wxWidgets 3.2.
- [Windows] Fixed crash on session logoff.


Version 3.5.1
-------------

- Several language-related fixes on Windows and Mac.
- Minor visual fixes (alignment, dark mode, blurry icons).
- [macOS] Added modern Quick Look preview extension (required on macOS 15).


Version 3.5
-----------

- Added a tool to remove same-as-source translations.
- Further improvements to JSON support, e.g. better compatiblity with Angular files.
- Improved QA checks and editor performance.
- Many "plumbing" improvements: upgraded to wxWidgets 3.2, Windows binaries are
  now 64-bit, system ICU is now used (smaller downloads) etc.
- [Windows] Improved support for Windows 11 and modern visuals. Windows 10 is now required.
- [Windows] Accessibility improvements with NVDA.
- Removed the bookmarks functionality. It was broken by design, only
  implementable in PO files and is superseded by modern collaboration platforms.


Version 3.4.4
-------------

- [Windows] Revert back to 32bit GNU gettext bundled binaries.


Version 3.4.3
-------------

- Pass --no-convert to msgfmt with gettext >= 0.22 to avoid UTF-8 conversion.
- Fixed parsing of @@locale values in ARB files.
- Updated bundled GNU gettext to 0.22.5.
- Assorted fixes.


Version 3.4.2
-------------

- Compatibility fixes for wxWidgets 3.2 and latest ICU versions.
- Updated bundled GNU gettext to 0.22.3.
- Assorted UI improvements/fixes.


Version 3.4.1
-------------

- Improved QA checks for Chinese and Japanese.
- Improved handling of multiple 100% matches from the TM as well as search accuracy.
- Recognize all ISO 639 languages in the language-setting controls.
- Fixed bug in selection handling introduced in 3.4.


Version 3.4
-----------

- Added support for syncing with Localazy translation platform.
- Updated bundled GNU gettext to 0.22 and added support for its new features.
- Assorted UI improvements/fixes.
- [macOS] Support for macOS 14 Sonoma; dropped support for macOS 10.13.


Version 3.3.2
-------------

- Added support for WebExtension JSON files.
- Fixed failure to extract from source code and malformed Plural-Forms warning.
- Minor UI fixes.


Version 3.3.1
-------------

- Fixed catalog loosing source language information on update or similar manipulation.
- [Windows] Fix crashes related to Lucene translation memory.


Version 3.3
-----------

- Added support for JSON translation files, including Flutter.
- Added support for XLIFF 2.1.


Version 3.2.2
-------------

- Fixed overzealous placeholders correctness check.
- Updated bundled GNU gettext to 0.21.1.
- [macOS] Minor fixes for Ventura.


Version 3.2.1
-------------

- Fixed chown/chmod verification logic broken in 3.2.


Version 3.2
-----------

- Added QA warnings about incorrect use of placeholders.
- Added format string highlighting for Objective-C, Qt, KDE, Lua, C# and Pascal.
- Bugfixes.


Version 3.1.1
-------------

- [Linux] Fixed regression where recent files icons would sometimes be broken.
- [Windows] Fixed incorrect detection of Edge vs MSIE for source code viewing.


Version 3.1
-----------

- Added Go / Previously Edited menu command.
- Improved source code viewer performance.
- XLIFF: added support for resname/name attributes.
- Fixed ID column sizing on some platforms.
- Fixed issues with certain rare escape sequences.


Version 3.0.1
-------------

- Bugfixes.


Version 3.0
-----------

- [macOS] Full support for macOS 11 Big Sur and Apple Silicon (M1).
- Completely reworked welcome screen.
- Modernized user interface and icons.
- Much improved opening of recently edited files.
- Automatic reloading of files modified outside of Poedit.
- Completely new source code occurrences viewers with syntax highlighting for
  virtually all programming languages used with gettext.
- Editing area now indicates source and translation string lengths.
- Full python-format support for PO files.
- Further improvements to XLIFF handling.


Version 2.4.3
-------------

- Bugfixes.


Version 2.4.2
-------------

- Minor improvements to syntax highlighting.
- Improved language and placeholders handling in XLIFF.
- [Windows] Fix issue with running gettext tools on UNC paths.


Version 2.4.1
-------------

- Upgraded bundled GNU gettext version to 0.21.
- Added support for Ruby format strings.
- [macOS] Fixed compatibility with OS X 10.10 and 10.11.


Version 2.4
-----------

- Crowdin integration was greatly improved and now supports editing of any
  kind of localization: files from Crowdin projects, not just POs.
- Improvements to editor user interface.
- [macOS] Fixes to light/dark mode switching.


Version 2.3.1
-------------

- Upgraded bundled GNU gettext version to 0.20.2 with JSX parsing fixes.
- Fixed TM matching of strings differing only in case.
- Fixed crash in presence of invalid bookmarks data.


Version 2.3
-----------

- Improved pre-translation performance.
- Added support for XLIFF 1.0.
- Improved handling of punctuation in QA checks.
- Improved macOS 10.15 Catalina compatiblity.


Version 2.2.4
-------------

- XLIFF improvements: handling of initial states, non-translatable items and
  better visual representation of placeholders.
- Upgraded bundled GNU gettext version to 0.20.1; in particular, this adds
  support for ES6 template literals to the JavaScript extractor.
- If a file has warnings or errors, show them immediately upon opening instead
  of waiting for the user to explicitly validate the file.
- Misc. small fixes and visual improvements.


Version 2.2.3
-------------

- Fixed asserts when compiled against wxGTK 3.0.
- [Windows] Fixed issue where custom font wasn't respected in some cases.


Version 2.2.2
-------------

- [Windows] Fix problem with some MSIE proxy configurations not being imported.
- [Windows] Performance improvements.
- Assorted bugfixes.


Version 2.2.1
-------------

- Improved highlighting of HTML and placeholders.
- File references are now supported in XLIFF.
- [Linux] Compatibility fixes for Wayland, wxGTK 3.0 and dark themes.


Version 2.2
-----------

- Support for editing XLIFF (both 1.2 and 2) files.
- Fixes for correct handling of dark themes, including on macOS Mojave.
- [Linux] Improved appearance with GTK+ 3.
- [Linux] Updated AppData and desktop files to use reverse DNS naming.


Version 2.1.1
-------------

- Fixed breakage of some localizations on macOS.


Version 2.1
-----------

- Added import and export of translation memory as TMX files.
- Added ability to delete bad translations from the TM.
- TM now has limited support for plural forms (only nplurals<=2).
- Improved handling plural form rules. CLDR is now used as the data source and
  expressions are checked for equivalence before warning about unusual forms.


Version 2.0.9
-------------

- Improved dark theme supports (still not perfect).
- Fix broken list rendering of RTL text on Windows.


Version 2.0.8
-------------

- Add CakePHP support.
- QA warnings and RTL fixes.
- Make TM reset work when the index is corrupted.


Version 2.0.7
-------------

- Fix mangled non-English gettext error messages.
- Add inline explanation of custom extractors syntax.


Version 2.0.6
-------------

- Fix hanging with certain rare (non-UTF8, non-ASCII msgids) PO files.


Version 2.0.5
-------------

- [macOS] Fixed crashing bug on macOS.
- [Windows] Improved HiDPI support.
- Assorted bugfixes.


Version 2.0.4
-------------

- Added support for Crowdin branches.
- Poedit now remembers your pre-translation settings.


Version 2.0.3
-------------

- Much faster loading and saving of large PO files.
- Fixed frequent false positives in QA warnings for German, Japanese, Arabic
  and translations with reordered brackets.
- Fixed issues with suggestions not showing up in the sidebar if the user had
  an unusually tall editing area set up.
- Fixed assert when opening a PO file on Linux.


Version 2.0.2
-------------

- Unusual whitespace (2+ spaces) in the middle of strings is now highlighted.
- Strings with warnings are now put at the top together with errors.
- Fixed crash when clicking on an item with plurals in a POT file.
- Added --line command line argument to open a file at specified item.


Version 2.0.1
-------------

- Restored compatibility with Zend Framework and its .phtml extension.
- Fixed keyboard navigation between plurals.
- Fixed false positives in punctuation warnings (quotes, Chinese).
- [Linux] Mostly fixed compatibility with wxGTK 3.0.2.
- [macOS] Fixed crash with Vietnamese input method.
- [Windows] Fixed disappearing menu with HiDPI >200% zoom.
- [Windows] Fixed settings-related crash.
- [Windows] Fixed Ctrl+A handling.

IMPORTANT NOTE TO DISTRIBUTION MAINTAINERS:
Poedit is affected by a bug in wxGTK 3.0.2 that cannot be worked around in user
code, requiring this patch to wxGTK to be applied:
https://github.com/wxWidgets/wxWidgets/commit/ed88188be7e97a0503f3471f7b0452740b732902


Version 2.0
-----------

- Revamped user interface.
- Syntax highlighting for markup and special characters.
- Warnings are now shown for common translation mistakes.
- More robust pre-translation (previous "Fill missing translations from TM").
- "Fuzzy" was renamed "Needs work" thorough to be more accessible to
  gettext non-experts.
- xgettext invocation can now be customized on per-file basis.
- Files opened from Crowdin now auto-sync on save.
- New Linux icon.
- Many small improvements all over.


Version 1.8.12
--------------

- Fixed previous msgid display.
- Fixed Find to correctly highlight text with "whole words only" enabled.
- [Windows] Fixed to accelerators and suggestions interaction with selection.
- Poedit now passes --previous to msgmerge.


Version 1.8.11
--------------

- [macOS] Fixed opening files by double-clicking them in Finder.
- Fixed handling of sr_RS locale.


Version 1.8.10
--------------

- Added support for X-Source-Language header.
- [macOS] Improved macOS Sierra compatibility.
- [Windows] Fixed Open in Editor button that didn't work in some cases.
- [UNIX] Added AppData file.


Version 1.8.9
-------------

- [Windows] Use IE proxy settings.
- Start searches from the current position, not beginning of the file.
- Updated bundled gettext to 0.19.8.1.
- More fixes for right-to-left languages.


Version 1.8.8
-------------

- Greatly reduced UI flicker on Windows plus other visual improvements on Windows 10.
- Multiple fixes to Poedit’s interface in right-to-left languages.
- Don't leave directional marks in translated text if there's a LTR/RTL mismatch.
- Assorted small fixes.


Version 1.8.7
-------------

- Added Copy From Singular operation and Next/Prev Plural Form navigation shortcuts.
- Translation errors are now properly translated.
- Fixed default Turkish plural form.
- Fixed a bug where a perfect match wouldn't be found in the TM in some rare cases.
- Updated bundled gettext to 0.19.7 (added appdata.xml and ITS support).
- Assorted bugfixes.


Version 1.8.6
-------------

- Fix properties window on OS X 10.9 and older.
- Fix visual flicker when quickly scrolling through a file with arrow keys.
- [OS X] Fix rare exception when pasting text.
- Fix file width autodetection when long comments were present.
- Disable Find next/prev menu items properly.


Version 1.8.5
-------------

- Improved setting and handling of source paths.
- Implement gzip support in Crowdin API client.
- Assorted fixes.


Version 1.8.4
-------------

- Fixed bug in handling POTs with plural forms introduced in 1.8.3.


Version 1.8.3
-------------

- Fixed Last-Translator error when creating a new translation from existing POT.
- Fixed bogus "Sources not available" error for single files setups.
- Fixed TM error reporting to prevent rendering the entire UI mostly unusable.


Version 1.8.2
-------------

- text editor now ensures that trailing newlines are present only if they also
  exist in the source text
- fix HTML export error on Windows
- automatically fix some bad paths settings in PO files
- improved source language detection
- fix incorrect timezone of PO-Revision-Date in some cases
- use the user's default browser for Crowdin authentication on all platforms
  (wxWebView no longer required as a dependency when building on Linux)


Version 1.8.1
-------------

- fix TM-related crash under heavy concurrency
- [OS X] fix crash when a concurrent task throws


Version 1.8
-----------

- integration with the Crowdin localization management platform
- search & replace
- support for directly handling POT files
- improved interface for configuring source code paths
- Poedit now automatically fixes certain broken files produced by certain
  broken tools (e.g. WPML)
- modernized HTML export
- [OS X] Quick  Look preview
- support for non-English source languages (auto-detected)
- [Windows] opening multiple Poedit windows now works correctly


Version 1.7.7
-------------

- strip whitespace in extractor definitions resulting from copy & paste


Version 1.7.6
-------------

- fix handling of multiple displays
- [Windows] fix "file couldn't be formatted nicely" problems with files in
  directories with (some) Unicode names


Version 1.7.5
-------------

- fix scrolling to the top when saving a file; focus should be preserved now
- fix disabling of extractors in preferences (oops)
- [Windows, OS X] improve resilience of the TM to power loss


Version 1.7.4
-------------

- size of the bottom editing part is now remembered correctly again
- [GTK+] fix broken Edit->Copy/Cut/Paste
- [OS X] fix stray BOM marks appearing on suggestions in some cases
- [OS X] fix Brazilian Portuguese localization not being used
- [OS X] fix sandbox permission window with unusual source paths setting
- [Windows] HiDPI support


Version 1.7.3
-------------

- it is now possible to disable unwanted extractors in preferences
- source paths in catalog properties can now include individual files
- exclusion paths in catalog properties can now use wildcards
  (e.g. *.js, now default for WordPress)
- "Consult TM when updating from sources" now includes only "good" matches
  (with at least 75% score)
- fix losing of the editing position when saving a file
- fix Preferences layout in Japanese and Chinese translations
- Windows: fix custom font setting after using a suggestion or copying from
  source text

(there was no version 1.7.2)


Version 1.7.1
-------------

- fix menu shortcuts problem in Polish localization


Version 1.7
-----------

- reworked preferences
- support for extraction from JavaScript (and more) sources
- suggestions and other relevant information (comments etc.) are now much
  easier to access in a unified sidebar
- syntax highlighting of special characters in translations
- added Group by Context sorting option
- implemented multiple selection
- formatting of PO files can now be customized
- added support for msgmerge --no-fuzzy-matching


Version 1.6.10
--------------

- multiple fixes to parsing of the Language header
- fix handling of broken POTs with duplicate headers
- improved robustness of the Lucene TM database
- misc small fixes
- translations updates and fixes


Version 1.6.9
-------------

- fixes to handling of RTL translations
- fix editing-related crashes under wxGTK
- translations updates


Version 1.6.8
-------------

- fix parsing of obsolete entries in PO files
- improved spellchecker handling on OS X and Windows
- misc fixes
- translations updates


Version 1.6.7
-------------

- better handle "fatal" (but not really) msgfmt errors
- OS X: fix OS X 10.7 compatibility
- OS X/Win: update bundled Gettext to 0.19.2
- translations updates


Version 1.6.6
-------------

- added exclusion paths support to updating from sources
- spellchecking is now supported on Windows 8+
- STL version of wxWidgets is no longer required to build on Unix
- update Windows and OS X builds to GNU gettext 0.19
- misc fixes
- translations updates


Version 1.6.5
-------------

- assorted small bugfixes


Version 1.6.4
-------------

- translation memory tuning
- Unix: restore compatibility with GTK+ 2
- misc fixes
- minor UI improvements (better wording etc.)
- OS X: misc fixes for Mavericks compatibility
- OS X/Win: update bundled Gettext to 0.18.3.2
- translations updates


Version 1.6.3
-------------

- fix invocation of external parser tools that need PATH
- Unix: use XDG_CONFIG_HOME for dotfile location
- OS X: fix conflict with Smart Quotes on Mavericks
- translations updates


Version 1.6.2
-------------

- fix TM failures with non-ASCII paths on Windows
- add support for Zend Framework's .phtml
- and support for WordPress' translators: comments
- translations updates


Version 1.6.1
-------------

- fixes to TM migration code
- OS X: fixes for Retina displays


Version 1.6
-----------

- improved languages handling (entering, sorting, plural forms expressions)
- completely new translation memory implementation
- assorted UI improvements
- better build systems on OS X and Windows
- OS X: minimum required version is 10.7; PPC builds are no longer supported


Version 1.5.7
-------------

- fix incorrect --add-comments flag introduced in 1.5.6


Version 1.5.6
-------------

- fix several problems with the file viewer: better lookup of files,
  fix display of UTF-8 files, better detection of DOS-style paths
- fix Find window's text field focus on OS X
- add --add-comments=TRANSLATORS to xgettext call in default parsers
- fix parsing of obsolete entries to recognize "#~|"
- fix incorrect update stats when using msg contexts
- translations updates


Version 1.5.5
-------------

- fix crash when auto-updating translations with some TMs
- fix file corruption when the catalog's charset was set to one that
  couldn't represent all of the text
- translations updates


Version 1.5.4
-------------

- fix display of source code (#472)
- fix bug when saving file fails on permissions (#491)
- fix Unix makefiles to install all icons (#493)
- translations updates

Version 1.5.3
-------------


- fixes to parsing of msgfmt errors
- misc UI fixes
- OS X: fixed crash when closing a document and opening another
- fixed compatibility with OS X 10.5 Leopard
- fixed problems with TM migration after upgrade
- reverted removal of line numbers in 1.5.2
- reverted: the default is to compile MO files on save again
- translations updates


Version 1.5.2
-------------

- fixed crash when clearing the translation (#428, #468)
- removed no longer needed line numbers from the UI
- OS X: improved attention bar looks
- translations updates


Version 1.5.1
-------------

- Windows: fix missing libstdc++-6.dll
- updated several translations


Version 1.5
-----------

- show translation errors inline with the entries they relate to, instead of a
  confusing errors log when saving
- implement full support for message contexts
- replaced popups when Poedit is started for the first time with
  unobtrusive Firefox-style notifications
- selecting suggested translation from right-click popup menu now
  correctly removes fuzzy flag from the translation
- warn the user if Plural-Forms header is inconsistent with the number
  of plural translations in the catalog or if has syntax errors
- correctly deduce catalog's language from filenames in the form of
  foo.LANG.po, as used by several large Open Source projects (#267)
- Boost library is now required when compiling from sources
- fixed the Find window so that it can be closed using the Esc key (#187)
- positions of translation fields are now remembered correctly when
  Poedit window is maximized (#194)
- added Edit->Clear translation command (Marcin Floryan)
- removed View->Fullscreen view, it doesn't make sense in this kind of app
- better application and document icons
- removed the "Shaded translations list" option, it's now always enabled
- misc minor UI improvements
- fixed possible transaction memory database corruption (#337, #352)
- added instructions on how to install additional spellchecker dictionaries
- added sorting by different criteria (#256, #239)
- improved source files viewer (#346)
- included outdated documentation was replaced with online wiki docs (#343)
- more keyboard navigation shortcuts
- saving PO files no longer reformats source code references (#323);
  moreover, they are always formatted according to the default style
  used by GNU gettext tools (#348)
- don't restore remembered window positions if they are outside currently
  available screens (#318)
- changed Alt+ shortcuts to non-conflicting Ctrl+ ones: "Copy From Source
  Text" now uses Ctrl+B and "Translation Is Fuzzy" Ctrl+U
- various UI improvements
- added more translations:
     Bosnian translation (Kenan Dervisevic)
     Tajik (Victor Ibragimov)
     Kurdish Sorani (Asos Ap)


Version 1.4.6
-------------

- OS X: fixed TM configuration tab to show languages list
- fixed bug introduced in 1.4.3 that caused "Update from POT file"
  to clear metadata in catalog header (#355)
- added Kazakh translation (Baurzhan Muftakhidinov)


Version 1.4.5
-------------

- OS X: fixed Find to actually show hits in text control
- OS X: fixed "Check for updates" preference broken by 1.4.4


Version 1.4.4
-------------

- sort catalogs in the manager alphabetically (#245)
- fixed escaping of quotes in catalog headers (#290)
- fixed reformatting of obsolete entries in catalogs (#329)
- fixed list selection visibility on Windows 7 (#336)
- Windows: automatically check for available updates


Version 1.4.3
-------------

- Unix: fixed crash with Zemberek spell-checker backend installed (#276)
- fixed parsing of catalogs produced with xgettext --indent (#189)
- fixed TM updating broken in 1.3.5 (#294)
- support GNOME's xml2po file references (#314)
- fixed handling of "%" in filenames (#143)
- added more translations:
     Vietnamese (Trần Ngọc Quân)
     Uzbek (Oybek Djuraev)


Version 1.4.2
-------------

- Unix: fixed Ctrl+Up/Down/PgUp/PgDn shortcuts when NumLock is on (#2006843)
- OS X: fixed running Gettext tools when Poedit is in directory with
  spaces in its name (#2025823)
- added Uyghur translation (Abduqadir Abliz)


Version 1.4.1
-------------

- fixed HTML export to properly escape the text (#1739062)
- remember last used search phrase in Find window (#1909847)
- Windows: fixed text entry using AltGr on many European keyboards


Version 1.4
-----------

- wxWidgets >= 2.8 is now required when compiling from sources
- don't show comments windows by default to avoid confusion
- OS X: fixed conflict with 10.5's Spaces - Command-arrows can now be used
  to navigate in the list control in addition to Ctrl-arrows
- Windows, OS X: significantly faster updating of catalogs on multi-core
  machines (on Linux, some distributions included multi-threaded gettext,
  some don't)
- fixed remaining problems with list selection
- use more standard way of differentiating between different kinds of
  entries in the list (translated, fuzzy, new) by using font variants
  instead of different background colors (#1863332)
- don't update PO-Revision-Date header if it's unused (#1900298)
- Windows: common shortcuts like Ctrl-A or Ctrl-backspace now work
- added Belarusian latin translation (Alaksandar Navicki)


Version 1.3.9
-------------

- OS X: fixed corruption of first entry when opening catalog from manager


Version 1.3.8
-------------

- OS X: fixed startup on computers that didn't have Poedit installed before
- fixed translation status color indicator to work correctly in case
  of plural entries
- changed the official spelling from "poEdit" to "Poedit"
- preserve old msgid records (#| msgid "...") when saving
- preserve deleted records when updating catalogs
- preserve msgctxt entries in catalogs (#1680554)
- OS X: Sparkle is now used for automatic updates
- OS X: fixed spell checker to use catalog's language
- fixed View->Display quotes setting broken in 1.3.7
- Windows: fixed crash when catalog update removes translations
- added more translations:
     Irish (Seanán Ó Coistín)


Version 1.3.7
-------------

- Windows: Windows 95/98 is no longer supported by the official binary
- OS X: Poedit is now built as Universal binary
- fixed the Preferences menu entry in catalogs manager
- fixed to handle file references with Windows paths on Unix
- fixed the "failed to convert to unicode" bug when saving (#1589744)
- OS X: fixed clicking on PO files in Finder (#1583967)
- fixed opening source files in external editor if the path contains
  spaces (#1743172)
- Windows: fixed keyboard navigation in Find dialog (#1697743)
- added more translations:
     Urdu (Muhammad Shakir Aziz)


Version 1.3.6
-------------

- fixed failure to load correct catalogs without error message
- fixed loading of X-Poedit-Language header (#1567018)
- fixed loading of files in charsets other than UTF-8 (#1562780)
- fixed shortcuts on Mac OS X to not use Alt+something


Version 1.3.5
-------------

- fixed Content-Type header parsing (bug #1346495)
- Unicode build of wxWidgets 2.6 is now required
- fixed bug with entering numbers when using German translation (#1325590)
- fixed broken layout on startup when showing comments window (#1313612)
- initial Mac OS X port
- fixed crash when loading some invalid PO files (#1495970)
- fixed the Find window to not be on top of other apps' windows
- install .desktop files and icons according to freedesktop.org standards
- changed the icons to a combination of Tango Desktop Project and Silk icons
- removed on-the-fly checking of catalog items, it's too buggy
- added more translations:
     Macedonian (Jovan Kostovski)
     Arabic (Mohammed al zaid)
     Thai (Pun)
     Malay (Mahrazi Mohd Kamal)


Version 1.3.4
-------------

- fixed crash when closing the application
- fixed searching in catalogs (bug #1230857)
- fixed restoring window size when maximized
- fixed reading of files with trailing whitespace on lines
- use standard accelerators for Close command
- fixed "Copy original to translation field" to work on singular form entries
  in catalogs that contain plural forms
- added Tatarish translation (Albert Fazli)


Version 1.3.3
-------------

- added ability to create bookmarks (Olivier Sannier)
- improved status icons (Olivier Sannier)
- more robust parsing of catalog headers
- saving into read-only file now fails as expected
- fixed saving of gettext keywords with commas in them
- added more translations:
     Galician (Leandro Regueiro)
     Indonesian (Bayu Artanto)
     Friulian (Andrea Decorte)
     Finnish (Keikki Suopanki)


Version 1.3.2
-------------

- fixed bogus warnings when updating from a POT file
- added "New catalog from POT file" feature
- added ability to display automatic comments in the UI (Olivier Sannier)
- translations manager now searches subdirectories as well (David Fraser)
- the Find tool can now optionally search from current position instead of
  from the beginning of the catalog (Olivier Sannier)
- fixed TM to not crash on catalogs with non-ASCII msgid values
- fixed catalog parser to correctly preserve automatic comments with
  duplicate lines and to not ignore every second automatic comment
  (Olivier Sannier)
- added ability to search comments (Olivier Sannier)
- Poedit now preserves obsolete translations (Olivier Sannier)
- added checking of input files' correctness
- fixed parsing of "\\n" substrings in catalog headers
- fixed compilation with wxWidgets >= 2.5.3
- fixed Find to search in all plural forms instead of only the first one
- added "whole words only" option to Find tool (Olivier Sannier)
- added default parsers for more programming languages supported by xgettext
- Windows: fixed list control corruption when updated catalog had fewer items
  than before the update
- added more translations:
     Korean (Hojin Choi)
     Hebrew (Nir Lavi)
     Kyrgyz (Ilyas Bakirov)
     Ukrainian (Cawko Xakep)
     Puerto Rico Spanish (Fernando Ortiz)
     Asturian (Softastur)


Version 1.3.1
-------------

- fixed assertion failure when viewing source files in the builtin viewer
- fixed wrong escaping of backslashes in X-Poedit-* headers
- fixed parsing of references to filenames containing spaces (Shane Harper)
- fixed crash with catalogs that have plural forms but no Plural-Forms header
- fixed parsing of the line following last msgstr[i] entry (bug #1025211)
- fixed controls layout when compiled against wxWidgets 2.4


Version 1.3.0
-------------

- plural forms support (based on patch by Christophe Hermier and Guido Flohr)
- fixed catalog I/O to correctly handle automatic comments (Tim Dijkstra)
- Windows: visual improvements to main window (Tim Kosse)
- usability improvements
- fixed storing of non-ASCII catalog headers
- Poedit now preserves non-standard entries in PO file header
- Poedit now respects c-format and no-c-format when checking tokens correctness
- position in translations list is no longer lost when saving the file
- configure now correctly detects libdb4 with versioned symbols
- "Find" tool now selects matches in text controls (Sergio Talens-Oliag)
- use msgfmt for tokens validation
- double-clicking on invalid entry now pops up error description
- Unix: use GNOME theme icons if they are installed on the system
- Unix: use GtkSpell for spell checking (GTK+ 2 only)
- Poedit no longer saves .po.poedit file, the headers were moved into
  custom X-Poedit-* fields in .po file header
- added more translations:
     Punjabi (Amanpreet Singh Alam)
     Albanian (Besnik Bleta)
     Amharic (Tegegne Tefera)
     Hindi (Dhananjaya Sharma)
     Esperanto (Tim Morley)
     Belarusian (Siarhei)
     Breton (Korvigellou an Drouizig)
     Walloon (Pablo Saratxaga)
     Bangla (Omi Azad)
     Basque (3ARRANO Euskalgintza Taldea)


Version 1.2.5
-------------

- added catalog export to HTML (Christophe Hermier)
- fixed bug in displaying list entries in ANSI build introduced in 1.2.4
- fixed opening of source files specified using absolute path
- Poedit now preserves fuzzy status if set after partially editing an entry
- many fixes to comment window (Olivier Sannier)
- comment window is now (optionally) editable (Olivier Sannier)
- fixed preferences dialog if translation memory is not used (Olivier Sannier)
- added printf() tokens validation (Frederic Giudicelli)
  (requires wxWidgets >= 2.5.1 in Unicode build)
- added ability to specify source code charset other than US-ASCII
  (based on patch by Stefan Kowski)
- added Mongolian translation (Mendbayar Bayar, Khurelbaatar Lkhagvasuren)


Version 1.2.4
-------------

- added optional comment window to the bottom of main screen
  (based on patch by Olivier Sannier, still not fully functional)
- added "Automatically translate using TM" operation to the Catalog menu
- Windows: upgraded bundled gettext to 0.12.1
- fixed .po files parser to read files created by xgettext -i
- added ability to customize fonts
- Windows: added support for Delphi via dxgettext (http://dybdahl.dk/dxgettext/)
- translation memory wizard fixes for multiple languages case
- comments and msgid strings are stored using catalog's charset and are
  not limited to US-ASCII anymore (based on patch by Stefan Kowski)


Version 1.2.3
-------------

- fixed compilation with Berkeley DB 4.1.25
- fixed disappearing catalog status information
- fixed bug in redrawing overview list on startup
- added more translations:
     Serbian (Bojan Suzic)
     Portuguese (Lazarus Long)
     Hungarian (Szilard Vizi)
     Lithuanian (Mantas Kriauciunas, Liudas Dmitrijevas, Kestutis Snieska,
                 Ramunas Lukasevicius)
     Farsi (Abbas Izad)
     Afrikaans (Petri Jooste)
     Slovenian (Luka Marinko)


Version 1.2.2
-------------

- Poedit now correctly differentiates between Traditional and Simplified
  Chinese
- optimizations for better handling of catalogs with very large entries
- Mac: compilation fixes for buggy gcc 3.1 snapshot used by MacOS X
- added country metadata into catalog settings dialog
- Windows: it is now possible to change UI language directly in Poedit
- added catalog updating from POT files
- more intuitive UI for translation memory creation
- added more translations:
     partial Greek translation (Simos Xenitellis)
     Japanese (Masapon)
     Simplified Chinese (Leo Liaw)
     Russian (Pavel Maryanov)
     Norwegian Bokmål (Hans Fr. Nordhaug)
     Icelandic (Samúel Jón Gunnarsson)
     Brazilian Portuguese (Leonardo Peixoto)
     Spanish (Javier Bravo)
     Danish (Lars Dybdahl)


Version 1.2.1
-------------

- Windows: Poedit window now accepts files dropped on it via drag'n'drop
- added more translations:
     Georgian (Aiet Kolkhi)
     Romanian (Ovidiu Constantin)
     Catalan (Pau Bosch i Crespo)
- reworked Traditional Chinese translation (Leo Liaw)
- fixed bug when empty error text was shown if msgfmt reported error
- moved "Shaded translations list" from preferences into the View menu
- Windows: allow coexistence of multiple Poedit versions on same system


Version 1.2.0
-------------

- fixed bug in catalog updater: didn't use default keywords if none specified
- added a warning if no files were found during catalog update
- fixed "Copy original to translation field" to do exact copy
- added more translations:
     Tamil (Prabu Anand)
     Bulgarian (Dimitar Boyn)
     Swedish (Simon Bohlin)
     Slovak (Pavol Cvengros)
- fixed Turkish translation (wrong catalog included by mistake)
- Linux: RPMs are no longer provided in Mandrake and RedHat flavors, they
  were unified into single RPM (mdk menu support was _not_ lost by this)
- fixed data loss when updating catalog with invalid entries
- Windows: fixed toolbars look on Windows XP
- Windows: the installer no longer requires Administrator privileges


Version 1.1.10
--------------

- fix to "fixes to catalog charset handling" from 1.1.9
- Unix: configure now checks for db4 in addition to db and db3
- Windows: fixed launching Poedit via associations when long filenames
  were involved
- added more translations:
     Polish (Arkadiusz Lipiec)
     Norwegian Nynorsk (Karl Ove Hufthammer)
     Turkish (Hakki Dogusan)
     Latvian (Artis Trops)
     Italian (Pino Toscano)


Version 1.1.9
-------------

- fixes to catalog charset handling
- Linux: added Mandrake RPM packages
- added translations to more languages:
     Estonian (Joosep-Georg Jarvemaa)
     Dutch (Patrick Hubers)
     German (Bernd Böckmann)
     French (Lionel Allorge)
     Croatian (Mladen Mintakovic)


Version 1.1.8
-------------

- fixes to editable list control


Version 1.1.7
-------------

- fixed a bug that prevented direct opening of files in editor from working
- fixed Find dialog (didn't select found entries in the list)
- Poedit 1.1.6 package contained out-of-date resources.zip by mistake,
  this is fixed now
- added an option to disable list rows shading
- minor UI tweaks
- added Chinese (zh_TW) translation (Ying-Chieh Liao)
- several fixes related to handling of directory names with spaces
- fixed launching Poedit with filename as the argument


Version 1.1.6
-------------

- support for Windows XP native look & feel
- Win32 version is now Unicode-enabled
- fixes to the way multiline entries are stored in .po file
- i18n support in the app itself (finally!)
  (so far only Czech translation is available, translators welcome!)
- added an option to display .po file line numbers for catalog entries
- fixed crash when browsing certain source files
- added ability to open referred source files directly in the editor of
  choice instead of in built-in files viewer
- Windows: fixed wrong placement of progress indicator in the status bar
- Unix: man page is now installed
- Unix: Poedit now links with libdb-3.x for x > 1, too
- Linux: RPM package now comes in two favors: poedit and poedit-semistatic
  (the latter is statically linked against wxGTK and libdb)


Version 1.1.5
-------------

- upgraded to link against any of libdb-3.{1,2,3}
- Windows: fixed bug when editing entries in editable listbox control
- updated ISO 639-1 table
- visually improved listbox
- Win32 binary package is now cross-compiled with Mingw32
- fixed Unix makefile to not attempt to install KDE and/or GNOME entries
  if you doesn't have necessary write permissions


Version 1.1.4
-------------

- fixed bug in Search when looking for strings with non-ASCII
  characters in them
- charset combobox in catalog settings now remember values


Version 1.1.3
-------------

- added ability to edit comments
- nicer icons by Dean S. Jones
- new source code references browser
- new keyboard navigation
- various UI improvements and bugfixes
- added catalogs manager for easier access to translator's files
- updated documentation


Version 1.1.2
-------------

- fixed incorrect update of TM database path setting from preferences dialog
- fixed assertion failures with empty catalog files when right-clicking
  the list control
- changed default TM DB path to something more sane under Windows
- Windows: fixed directories traversal during TM update under Windows


Version 1.1.1
-------------

- added support for semi-automatic translations using translation memory
  concept. Translation memory is an indexed database of all string-translation
  pairs found in the system, plus algorithm to retrieve similar strings from
  the database. Poedit can dig translations from PO, MO and RPM files.
- implemented search
- Poedit source code is now documented with Doxygen
- Windows: HTML Help documentation now uses CSS and looks much better
- better keyboard navigation


Version 1.1.0
-------------

- support for UTF-8
- changes to make Poedit work correctly with gettext 0.10.37
- fixed default ISO charset names to be iso-8859-n instead of iso8859-n
- new ability to save catalogs in all common CR/LF formats, plus
  an option to preserve file's format (default values: Unix and preserve)
- added fullscreen mode


Version 1.0.3
-------------

- fixed comments parsing bug (reported by Mattias Dahlberg)
- Windows: fixed ugly blinking when resizing Poedit window


Version 1.0.2
-------------

- Unix: fixed problem with localized versions of gettext
- fixed Content-Transfer-Encoding header (was "8-bit" instead of "8bit")
- fixed POT-Creation-Date and PO-Revision-Date date writing
- better handling of \n: strings with \n in them are now both
  displayed and saved to .po file as multiline records
- saving catalog now preserves comments
- Unix: fixed dist makefile target


Version 1.0.1
-------------

- fixed loading of catalogs with multiline msgid records
- fixed assertion failure in parsers info saving if ~/.poedit
  did not exist [harmless, in debug builds only]
- right-clicking list control now selects the item under cursor
- Unix: fixed docs/Makefile.am to cd correctly
- Unix: configure change: better check for wxWidgets
- Linux: fixed RPM spec file
- Unix: added integration with KDE and GNOME desktops


Version 1.0.0
-------------

- initial release
